package com.jpsoft.picc.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.picc.modules.base.entity.Message;
import java.util.Map;
import com.jpsoft.picc.modules.common.dto.Sort;

@Repository
public interface MessageDAO {
	int insert(Message entity);
	int update(Message entity);
	int exist(String id);
	Message get(String id);
	int delete(String id);
	List<Message> list();
	List<Message> findByRecipientId(String recipientId);
	List<Message> findNewByRecipientId(String recipientId,String status);
	List<Message> search(Map<String, Object> searchParams, List<Sort> sortList);
}