package com.jpsoft.picc.modules.sys.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;

import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;

/**
  描述:sys_log的实体类
 */
@Data
@ApiModel(value = "sys_log的实体类")
public class SysLog {
    @ApiModelProperty(value = "日志编号")
	private Long id;
    @ApiModelProperty(value = "客户端IP")
	private String remoteIp;
    @ApiModelProperty(value = "访问url")
	private String url;
    @ApiModelProperty(value = "提交参数")
	private String data;
    @ApiModelProperty(value = "用户编号")
	private String userId;
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
    @ApiModelProperty(value = "创建时间")
	private Date createTime;
	@ApiModelProperty(value = "备注")
	private String remark;
	@ApiModelProperty(value = "耗时(毫秒)")
	private Long elapse;
	@ApiModelProperty(value = "入口")
	private String pointcut;
}