package com.jpsoft.weixin.controller;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.Enumeration;

@RestController
public class DemoController {
    @RequestMapping("/demo")
    public String index(HttpServletRequest request){
        StringBuilder sb = new StringBuilder();

        Enumeration<String> parameterNames =request.getParameterNames();

        while(parameterNames.hasMoreElements()) {
            String name = parameterNames.nextElement();
            sb.append("name=" + name + ",value=" + request.getParameter(name) + "<br/>");
        }

        return sb.toString();
    }
}
