package com.jpsoft.picc.modules.sys.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.jpsoft.picc.modules.sys.entity.User;
import java.util.Map;
import com.jpsoft.picc.modules.common.dto.Sort;

@Repository
public interface UserDAO {
	int insert(User entity);
	int update(User entity);
	int exist(String id);
	User get(String id);
	int delete(String id);
	List<User> list();
	List<User> search(Map<String,Object> searchParams,List<Sort> sortList);
	User findByUserName(@Param("userName") String userName);
	User findByOpenId(@Param("openId") String openId);

    List<User> findByRoleName(String target);
}